# Hack explo

![accueil](./accueil.png "Accueil")

## 

Recette pour déployer une machine attaquable par les élèves.

Elle s'attaque en explorant d'abord le code HTML et CSS pour trouver un login et mot de passe. Puis en explorant les fichiers pour arriver à se connecter en root.

Il n'y a pas de techniques particulières à connaître en hacking. La machine se casse en faisant juste de l'exploration.

## Mise en place avec vagrant

Lancement de la VM depuis un serveur ou son ordinateur perso branché sur le réseau.

    vagrant up

La provision de la VM se termine par un `ip addr` pour récupérer l'IP de la machine. Il reste plus qu'à la transmettre aux élèves.


## Sur une machine dédiée (testée avec une Debian)

On installe git

    apt update && apt install git

On clone le dépot

    git clone https://git.opytex.org/lafrite/Hack_explo

On rentre dedans

    cd Hack_explo

On lance le script `bootstrap.sh`

    chmod +x bootstrap.sh
    ./bootstrap.sh


## Intérêts pédagogiques

- Rapide retour sur le HTML et CSS
- Connections à une machine avec ssh
- Utilisation des commandes shell pour se déplacer, lister et ouvrir des fichiers
- Fichiers cachés et droits sur les fichiers
- Sensibilisation autour des mots de passes
- Initiation à la sécurité et au pentest
